Unseal Space
REST APIConnected domains

Assign a connected domain to a project (or clear it)

POST
/connected-domains/{hostname}/project
x-api-key<token>

Workspace-owned API key with per-resource permissions.

In: header

Path Parameters

hostname*string
Match^(?!-)[a-z0-9-]+(\.[a-z0-9-]+)+$
Length3 <= length <= 253

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

projectId*|null
idempotencyKey?string
Length1 <= length <= 128

Response Body

application/json

curl -X POST "https://example.com/connected-domains/string/project" \  -H "Content-Type: application/json" \  -d '{    "projectId": "string"  }'
{  "hostname": "string",  "state": "pending",  "ownershipStatus": "pending",  "certificateStatus": "pending",  "routingStatus": "unassigned",  "projectId": "string",  "instructions": [    {      "type": "CNAME",      "name": "string",      "value": "string",      "purpose": "routing",      "required": true    }  ],  "dnsHost": "cloudflare",  "dcvDelegation": "ok",  "verificationErrors": [    "string"  ],  "createdAt": "2019-08-24T14:15:22Z",  "checkedAt": "2019-08-24T14:15:22Z"}